## percona-server-mongodb 5.0.9

=== SConstruct ===
# -*- mode: python; -*-

import atexit
import copy
import datetime
import errno
import json
import os
import re
import shlex
import shutil
import stat
import subprocess
import sys
import textwrap
import uuid
from glob import glob

from pkg_resources import parse_version

import SCons

# This must be first, even before EnsureSConsVersion, if
# we are to avoid bulk loading all tools in the DefaultEnvironment.
DefaultEnvironment(tools=[])

# These come from site_scons/mongo. Import these things
# after calling DefaultEnvironment, for the sake of paranoia.
import mongo
import mongo.platform as mongo_platform
import mongo.toolchain as mongo_toolchain
import mongo.generators as mongo_generators
import mongo.install_actions as install_actions

EnsurePythonVersion(3, 6)
EnsureSConsVersion(3, 1, 1)

# Monkey patch SCons.FS.File.release_target_info to be a no-op.
# See https://github.com/SCons/scons/issues/3454
def release_target_info_noop(self):
    pass
SCons.Node.FS.File.release_target_info = release_target_info_noop

from buildscripts import utils
from buildscripts import moduleconfig

import psutil

scons_invocation = '{} {}'.format(sys.executable, ' '.join(sys.argv))
print('scons: running with args {}'.format(scons_invocation))

atexit.register(mongo.print_build_failures)

def add_option(name, **kwargs):

    if 'dest' not in kwargs:
        kwargs['dest'] = name

    if 'metavar' not in kwargs and kwargs.get('type', None) == 'choice':
        kwargs['metavar'] = '[' + '|'.join(kwargs['choices']) + ']'

    AddOption('--' + name, **kwargs)

def get_option(name):
    return GetOption(name)

def has_option(name):
    optval = GetOption(name)
    # Options with nargs=0 are true when their value is the empty tuple. Otherwise,
    # if the value is falsish (empty string, None, etc.), coerce to False.
    return True if optval == () else bool(optval)

def use_system_version_of_library(name):
    return has_option('use-system-all') or has_option('use-system-' + name)

# Returns true if we have been configured to use a system version of any C++ library. If you
# add a new C++ library dependency that may be shimmed out to the system, add it to the below
# list.
def using_system_version_of_cxx_libraries():
    cxx_library_names = ["tcmalloc", "boost"]
    return True in [use_system_version_of_library(x) for x in cxx_library_names]

def make_variant_dir_generator():
    memoized_variant_dir = [False]
    def generate_variant_dir(target, source, env, for_signature):
        if not memoized_variant_dir[0]:
            memoized_variant_dir[0] = env.subst('$BUILD_ROOT/$VARIANT_DIR')
        return memoized_variant_dir[0]
    return generate_variant_dir


# Always randomize the build order to shake out missing edges, and to help the cache:
# http://scons.org/doc/production/HTML/scons-user/ch24s06.html
SetOption('random', 1)

# Options TODOs:
#
# - We should either alphabetize the entire list of options, or split them into logical groups
#   with clear boundaries, and then alphabetize the groups. There is no way in SCons though to
#   inform it of options groups.
#
# - Many of these options are currently only either present or absent. This is not good for
#   scripting the build invocation because it means you need to interpolate in the presence of
#   the whole option. It is better to make all options take an optional on/off or true/false
#   using the nargs='const' mechanism.
#

add_option('ninja',
    choices=['enabled', 'disabled'],
    default='disabled',
    nargs='?',
    const='enabled',
    type='choice',
    help='Enable the build.ninja generator tool stable or canary version',
)

add_option('force-jobs',
    help='Allow more jobs than available cpu\'s when icecream is not enabled.',
    nargs=0
)

add_option('build-tools',
    choices=['stable', 'next'],
    default='stable',
    type='choice',
    help='Enable experimental build tools',
)

add_option('legacy-tarball',
    choices=['true', 'false'],
    default='false',
    const='true',
    nargs='?',
    type='choice',
    help='Build a tarball matching the old MongoDB dist targets',
)

add_option('lint-scope',
    choices=['all', 'changed'],
    default='all',
    type='choice',
    help='Lint files in the current git diff instead of all files'
)

add_option('install-mode',
    choices=['hygienic'],
    default='hygienic',
    help='select type of installation',
    nargs=1,
    type='choice',
)

add_option('install-action',
    choices=([*install_actions.available_actions] + ['default']),
    default='default',
    help='select mechanism to use to install files (advanced option to reduce disk IO and utilization)',
    nargs=1,
    type='choice',
)

add_option('build-dir',
    default='#build',
    help='build output directory',
)

add_option('release',
    help='release build',
    nargs=0,
)

add_option('lto',
    help='enable link time optimizations (experimental, except with MSVC)',
    nargs=0,
)

add_option('endian',
    choices=['big', 'little', 'auto'],
    default='auto',
    help='endianness of target platform',
    nargs=1,
    type='choice',
)

add_option('disable-minimum-compiler-version-enforcement',
    help='allow use of unsupported older compilers (NEVER for production builds)',
    nargs=0,
)

add_option('ssl',
    help='Enable or Disable SSL',
    choices=['on', 'off'],
    default='on',
    const='on',
    nargs='?',
    type='choice',
)

add_option('wiredtiger',
    choices=['on', 'off'],
    const='on',
    default='on',
    help='Enable wiredtiger',
    nargs='?',
    type='choice',
)

add_option('inmemory',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable InMemory',
    nargs='?',
    type='choice',
)

add_option('audit',
    help='Enable auditing',
    nargs=0,
)

add_option('hotbackup',
    help='Enable Hot Backup',
    nargs=0,
)

add_option('ocsp-stapling',
    choices=['on', 'off'],
    default='on',
    help='Enable OCSP Stapling on servers',
    nargs='?',
    type='choice',
)

js_engine_choices = ['mozjs', 'none']
add_option('js-engine',
    choices=js_engine_choices,
    default=js_engine_choices[0],
    help='JavaScript scripting engine implementation',
    type='choice',
)

add_option('server-js',
    choices=['on', 'off'],
    default='on',
    help='Build mongod without JavaScript support',
    type='choice',
)

add_option('libc++',
    help='use libc++ (experimental, requires clang)',
    nargs=0,
)

add_option('use-glibcxx-debug',
    help='Enable the glibc++ debug implementations of the C++ standard libary',
    nargs=0,
)

add_option('noshell',
    help="don't build shell",
    nargs=0,
)

add_option('dbg',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable runtime debugging checks',
    nargs='?',
    type='choice',
)

add_option('separate-debug',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Produce separate debug files',
    nargs='?',
    type='choice',
)

add_option('spider-monkey-dbg',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable SpiderMonkey debug mode',
    nargs='?',
    type='choice',
)

add_option('opt',
    choices=['on', 'size', 'off'],
    const='on',
    help='Enable compile-time optimization',
    nargs='?',
    type='choice',
)

experimental_optimizations = [
    'O3',
    'builtin-memcmp',
    'fnsi',
    'nofp',
    'nordyn',
    'sandybridge',
    'tbaa',
    'treevec',
    'vishidden',
]
experimental_optimization_choices = ['*']
experimental_optimization_choices.extend("+" + opt for opt in experimental_optimizations)
experimental_optimization_choices.extend("-" + opt for opt in experimental_optimizations)

add_option('experimental-optimization',
    action="append",
    choices=experimental_optimization_choices,
    const=experimental_optimization_choices[0],
    default=['+sandybridge'],
    help='Enable experimental optimizations',
    nargs='?',
    type='choice'
)

add_option('debug-compress',
    action="append",
    choices=["off", "as", "ld"],
    default=["auto"],
    help="Compress debug sections",
)

add_option('sanitize',
    help='enable selected sanitizers',
    metavar='san1,san2,...sanN',
)

add_option('sanitize-coverage',
    help='enable selected coverage sanitizers',
    metavar='cov1,cov2,...covN',
)

add_option('allocator',
    choices=["auto", "system", "tcmalloc", "tcmalloc-experimental"],
    default="auto",
    help='allocator to use (use "auto" for best choice for current platform)',
    type='choice',
)

add_option('gdbserver',
    help='build in gdb server support',
    nargs=0,
)

add_option('lldb-server',
    help='build in lldb server support',
    nargs=0,
)

add_option('gcov',
    help='compile with flags for gcov',
    nargs=0,
)

add_option('enable-free-mon',
    choices=["auto", "on", "off"],
    default="auto",
    help='Disable support for Free Monitoring to avoid HTTP client library dependencies',
    type='choice',
)

add_option('enable-http-client',
    choices=["auto", "on", "off"],
    default="auto",
    help='Enable support for HTTP client requests (required WinHTTP or cURL)',
    type='choice',
)

add_option('use-sasl-client',
    help='Support SASL authentication in the client library',
    nargs=0,
)

add_option('use-diagnostic-latches',
    choices=['on', 'off'],
    default='on',
    help='Enable annotated Mutex types',
    type='choice',
)

# Most of the "use-system-*" options follow a simple form.
for pack in [
    ('abseil-cpp',),
    ('asio', 'ASIO',),
    ('boost',),
    ('fmt',),
    ('google-benchmark', 'Google benchmark'),
    ('icu', 'ICU'),
    ('intel_decimal128', 'intel decimal128'),
    ('kms-message',),
    ('pcre',),
    ('snappy',),
    ('stemmer',),
    ('tcmalloc',),
    ('libunwind',),
    ('valgrind',),
    ('wiredtiger',),
    ('yaml',),
    ('zlib',),
    ('zstd', 'Zstandard'),
    ]:
    name = pack[0]
    pretty = name
    if len(pack) == 2:
        pretty = pack[1]
    add_option(f'use-system-{name}',
               help=f'use system version of {pretty} library',
               nargs=0)

add_option('system-boost-lib-search-suffixes',
    help='Comma delimited sequence of boost library suffixes to search',
)

add_option('use-system-mongo-c',
    choices=['on', 'off', 'auto'],
    const='on',
    default="auto",
    help="use system version of the mongo-c-driver (auto will use it if it's found)",
    nargs='?',
    type='choice',
)

add_option('use-system-all',
    help='use all system libraries',
    nargs=0,
)

add_option('build-fast-and-loose',
    choices=['on', 'off', 'auto'],
    const='on',
    default='auto',
    help='looser dependency checking',
    nargs='?',
    type='choice',
)

add_option("disable-warnings-as-errors",
    action="append",
    choices=["configure", "source"],
    const="source",
    default=[],
    help="Don't add a warnings-as-errors flag to compiler command lines in selected contexts; defaults to 'source' if no argument is provided",
    nargs="?",
    type="choice",
)

add_option('detect-odr-violations',
    help="Have the linker try to detect ODR violations, if supported",
    nargs=0,
)

add_option('variables-help',
    help='Print the help text for SCons variables',
    nargs=0,
)

add_option('osx-version-min',
    help='minimum OS X version to support',
)

# https://docs.microsoft.com/en-us/cpp/porting/modifying-winver-and-win32-winnt?view=vs-2017
# https://docs.microsoft.com/en-us/windows-server/get-started/windows-server-release-info
win_version_min_choices = {
    'win10'    : ('0A00', '0000'),
    'ws2016'   : ('0A00', '1607'),
    'ws2019'   : ('0A00', '1809')
}

add_option('win-version-min',
    choices=list(win_version_min_choices.keys()),
    default=None,
    help='minimum Windows version to support',
    type='choice',
)

add_option('cache',
    choices=["all", "nolinked"],
    const='all',
    help='Use an object cache rather than a per-build variant directory (experimental)',
    nargs='?',
)

add_option('cache-dir',

=== src/third_party/wiredtiger/SConstruct ===
# -*- mode: python; -*-
import re
import os
import shutil
import subprocess
import sys
import tempfile
import textwrap
import distutils.sysconfig

EnsureSConsVersion( 2, 0, 0 )
EnsurePythonVersion(3, 0)

if not os.sys.platform == "win32":
    print ("SConstruct is only supported for Windows, use build_posix for other platforms")
    Exit(1)

# Command line options
#
AddOption("--dynamic-crt", dest="dynamic-crt", action="store_true", default=False,
          help="Link with the MSVCRT DLL version")

AddOption("--enable-attach", dest="attach", action="store_true", default=False,
          help="Configure for debugger attach on failure.")

AddOption("--disable-standalone-build", dest="standalone-build", action="store_true", default=False,
          help="Disable WT Standalone build.")

AddOption("--enable-diagnostic", dest="diagnostic", action="store_true", default=False,
          help="Configure WiredTiger to perform various run-time diagnostic tests. DO NOT configure this option in production environments.")

AddOption("--enable-lz4", dest="lz4", type="string", nargs=1, action="store",
          help="Use LZ4 compression")

AddOption("--enable-memkind", dest="memkind", type="string", nargs=1, action="store",
          help="Enable support for Intel memkind library, needed for NVRAM block cache.")

AddOption("--enable-python", dest="lang-python", type="string", nargs=1, action="store",
          help="Build Python extension, specify location of swig.exe binary")

AddOption("--enable-snappy", dest="snappy", type="string", nargs=1, action="store",
          help="Use snappy compression")

AddOption("--enable-tcmalloc", dest="tcmalloc", type="string", nargs=1, action="store",
          help="Use TCMalloc for memory allocation")

AddOption("--enable-zlib", dest="zlib", type="string", nargs=1, action="store",
          help="Use zlib compression")

AddOption("--prefix", dest="prefix", type="string", nargs=1, action="store", default="package",
          help="Install directory")

# Get the swig binary from the command line option since SCONS cannot find it automatically
#
swig_binary = GetOption("lang-python")

# Initialize environment
#
var = Variables()

var.Add('MSVC_USE_SCRIPT', 'Path to vcvars.bat to override SCons default VS tool search');

var.Add('CPPPATH', 'C Preprocessor include path', [
    "#/src/include/",
    "#/build_win",
    "#/test/windows",
    "#/.",
])

var.Add('LIBPATH', 'Adds paths to the linker search path', [])

var.Add('CFLAGS', 'C Compiler Flags', [
    "/W3", # Warning level 3
    "/WX", # Warnings are fatal
    "/wd4090", # Ignore warning about mismatched const qualifiers
    "/wd4996", # Ignore deprecated functions
    "/we4100", # Complain about unreferenced format parameter
    "/Z7", # Generate debugging symbols
    "/TC", # Compile as C code
    #"/Od", # Disable optimization
    "/Ob1", # inline expansion
    "/O2", # optimize for speed
    "/GF", # enable string pooling
    "/EHsc", # extern "C" does not throw
    #"/RTC1", # enable stack checks
    "/GS", # enable security checks
    "/Gy", # separate functions for linker
    "/Zc:wchar_t",
    "/Gd",
    "/MD" if GetOption("dynamic-crt") else "/MT",
])

var.Add('LINKFLAGS', 'Linker Flags', [
    "/DEBUG", # Generate debug symbols
    "/INCREMENTAL:NO", # Disable incremental linking
    "/OPT:REF", # Remove dead code
    "/DYNAMICBASE",
    "/NXCOMPAT",
])

var.Add('TOOLS', 'SCons tools', [
    "default",
    "swig",
    "textfile"
])

var.Add('SWIG', 'SWIG binary location', swig_binary)

env = Environment(
    variables = var
)

env['STATIC_AND_SHARED_OBJECTS_ARE_THE_SAME'] = 1

useZlib = GetOption("zlib")
useSnappy = GetOption("snappy")
useLz4 = GetOption("lz4")
useTcmalloc = GetOption("tcmalloc")
useMemkind = GetOption("memkind")
wtlibs = []

conf = Configure(env)
if not conf.CheckCHeader('stdlib.h'):
    print('stdlib.h must be installed!')
    Exit(1)

if useZlib:
    conf.env.Append(CPPPATH=[useZlib + "/include"])
    conf.env.Append(LIBPATH=[useZlib + "/lib"])
    if conf.CheckCHeader('zlib.h'):
        conf.env.Append(CPPDEFINES=["HAVE_BUILTIN_EXTENSION_ZLIB"])
        wtlibs.append("zlib")
    else:
        print('zlib.h must be installed!')
        Exit(1)

if useSnappy:
    conf.env.Append(CPPPATH=[useSnappy + "/include"])
    conf.env.Append(LIBPATH=[useSnappy + "/lib"])
    if conf.CheckCHeader('snappy-c.h'):
        conf.env.Append(CPPDEFINES=['HAVE_BUILTIN_EXTENSION_SNAPPY'])
        wtlibs.append("snappy")
    else:
        print('snappy-c.h must be installed!')
        Exit(1)

if useLz4:
    conf.env.Append(CPPPATH=[useLz4 + "/include"])
    conf.env.Append(LIBPATH=[useLz4 + "/lib"])
    if conf.CheckCHeader('lz4.h'):
        conf.env.Append(CPPDEFINES=['HAVE_BUILTIN_EXTENSION_LZ4'])
        wtlibs.append("lz4")
    else:
        print('lz4.h must be installed!')
        Exit(1)

if useTcmalloc:
    conf.env.Append(CPPPATH=[useTcmalloc + "/include"])
    conf.env.Append(LIBPATH=[useTcmalloc + "/lib"])
    if conf.CheckCHeader('gperftools/tcmalloc.h'):
        wtlibs.append("libtcmalloc_minimal")
        conf.env.Append(CPPDEFINES=['HAVE_LIBTCMALLOC'])
        conf.env.Append(CPPDEFINES=['HAVE_POSIX_MEMALIGN'])
    else:
        print('tcmalloc.h must be installed!')
        Exit(1)

if useMemkind:
    conf.env.Append(CPPPATH=[useMemkind + "/include"])
    conf.env.Append(LIBPATH=[useMemkind + "/lib"])
    if conf.CheckCHeader('memkind.h'):
        conf.env.Append(CPPDEFINES=['HAVE_MEMKIND'])
        wtlibs.append("memkind")
    else:
        print('memkind.h must be installed!')
        Exit(1)

env = conf.Finish()

# Configure build environment variables
#
if GetOption("attach"):
    env.Append(CPPDEFINES = ["HAVE_ATTACH"])

if GetOption("diagnostic"):
    env.Append(CPPDEFINES = ["HAVE_DIAGNOSTIC"])

if GetOption("lang-python"):
    env.Append(LIBPATH=[distutils.sysconfig.PREFIX + r"\libs"])
    env.Append(CPPPATH=[distutils.sysconfig.get_python_inc()])

disableStandaloneBuild = GetOption("standalone-build")
if disableStandaloneBuild:
    print('Disable Standalone Build')
else:
    env.Append(CPPDEFINES = ["WT_STANDALONE_BUILD"])

# Build WiredTiger.h file
#
version_file = 'build_posix/aclocal/version-set.m4'

VERSION_MAJOR = None
VERSION_MINOR = None
VERSION_PATCH = None
VERSION_STRING = None

# Read the version information from the version-set.m4 file
for l in open(File(version_file).srcnode().abspath):
    if re.match(r'^VERSION_[A-Z]+', l):
        exec(l)

if (VERSION_MAJOR == None or
    VERSION_MINOR == None or
    VERSION_PATCH == None or
    VERSION_STRING == None):
    print("Failed to find version variables in " + version_file)
    Exit(1)

wiredtiger_includes = """
        #include <sys/types.h>
        #include <stdarg.h>
        #include <stdbool.h>
        #include <stdint.h>
        #include <stdio.h>
    """
wiredtiger_includes = textwrap.dedent(wiredtiger_includes)
replacements = {
    '@VERSION_MAJOR@' : VERSION_MAJOR,
    '@VERSION_MINOR@' : VERSION_MINOR,
    '@VERSION_PATCH@' : VERSION_PATCH,
    '@VERSION_STRING@' : VERSION_STRING,
    '@uintmax_t_decl@': "",
    '@uintptr_t_decl@': "",
    '@off_t_decl@' : 'typedef int64_t wt_off_t;',
    '@wiredtiger_includes_decl@': wiredtiger_includes
}

wtheader = env.Substfile(
    target='wiredtiger.h',
    source=[
        'src/include/wiredtiger.in',
    ],
    SUBST_DICT=replacements)

#
# WiredTiger library
#
# Map WiredTiger build conditions: any conditions that appear in WiredTiger's
# dist/filelist must appear here, and if the value is true, those files will be
# included.
#
condition_map = {
    'ARM64_HOST' : False,
    'POSIX_HOST' : env['PLATFORM'] == 'posix',
    'POWERPC_HOST' : False,
    'WINDOWS_HOST' : env['PLATFORM'] == 'win32',
    'X86_HOST' : True,
    'ZSERIES_HOST' : False,
}

def filtered_filelist(f):
    for line in f:
        file_cond = line.split()
        if line.startswith("#") or len(file_cond) == 0:
            continue
        if len(file_cond) == 1 or condition_map[file_cond[1]]:
            yield file_cond[0]

filelistfile = r'dist/filelist'
wtsources = list(filtered_filelist(open(filelistfile)))

# unconditionally add Percona encryption extension
wtsources.append("ext/encryptors/percona/encryption_extension.c")

if useZlib:
    wtsources.append("ext/compressors/zlib/zlib_compress.c")

if useSnappy:
    wtsources.append("ext/compressors/snappy/snappy_compress.c")

if useLz4:
    wtsources.append("ext/compressors/lz4/lz4_compress.c")

wt_objs = [env.Object(a) for a in wtsources]

# Static Library - libwiredtiger.lib
#
wtlib = env.Library(
    target="libwiredtiger",
    source=wt_objs, LIBS=wtlibs)

env.Depends(wtlib, [filelistfile, version_file])

# Dynamically Loaded Library - wiredtiger.dll
#
wtdll = env.SharedLibrary(
    target="wiredtiger",
    source=wt_objs + ['build_win/wiredtiger.def'], LIBS=wtlibs)

env.Depends(wtdll, [filelistfile, version_file])

Default(wtlib, wtdll)

wtbin = env.Program("wt", [
    "src/utilities/util_alter.c",
    "src/utilities/util_backup.c",
    "src/utilities/util_compact.c",
    "src/utilities/util_cpyright.c",
    "src/utilities/util_create.c",
    "src/utilities/util_downgrade.c",
    "src/utilities/util_drop.c",
    "src/utilities/util_dump.c",
    "src/utilities/util_list.c",
    "src/utilities/util_load.c",
    "src/utilities/util_load_json.c",
    "src/utilities/util_loadtext.c",
    "src/utilities/util_main.c",
    "src/utilities/util_misc.c",
    "src/utilities/util_printlog.c",
    "src/utilities/util_read.c",
    "src/utilities/util_rename.c",
    "src/utilities/util_salvage.c",
    "src/utilities/util_stat.c",
    "src/utilities/util_truncate.c",
    "src/utilities/util_upgrade.c",
    "src/utilities/util_verbose.c",
    "src/utilities/util_verify.c",
    "src/utilities/util_write.c"],
    LIBS=[wtlib] + wtlibs)

Default(wtbin)

# Python SWIG wrapper for WiredTiger
if GetOption("lang-python"):
    # Check that this version of python is 64-bit
    #
    if sys.maxsize < 2**32:
        print("The Python Interpreter must be 64-bit in order to build the python bindings")
        Exit(1)

    pythonEnv = env.Clone()
    pythonEnv.Append(SWIGFLAGS=[
            "-python",
            "-threads",
            "-O",
            "-nodefaultctor",
            "-nodefaultdtor",
            ])
    # Ignore warnings in swig-generated code.
    pythonEnv['CFLAGS'].remove("/WX")
    pythonEnv['CFLAGS'].remove("/we4100")

    swiglib = pythonEnv.SharedLibrary('_wiredtiger',
                      [ 'lang\python\wiredtiger.i'],
                      SHLIBSUFFIX=".pyd",
                      LIBS=[wtlib] + wtlibs)

    # Shuffle the wiredtiger __init__ into place.
    copySwig1 = pythonEnv.Command(
        'lang/python/wiredtiger/swig_wiredtiger.py',
        'lang/python/wiredtiger.py',
        Copy('$TARGET', '$SOURCE'))
    pythonEnv.Depends(copySwig1, swiglib)

    copySwig2 = pythonEnv.Command(
        'lang/python/wiredtiger/__init__.py',
        'lang/python/wiredtiger/init.py',
        Copy('$TARGET', '$SOURCE'))
    pythonEnv.Depends(copySwig2, swiglib)

    swiginstall = pythonEnv.Install('lang/python/wiredtiger/', swiglib)

    Default(swiginstall, copySwig1, copySwig2)

# Shim library of functions to emulate POSIX on Windows
shim = env.Library("window_shim",
        ["test/windows/windows_shim.c"])



examples = [
    "ex_access",
    # Temporarily disabled
    # "ex_all",
    "ex_call_center",
    "ex_config_parse",
    "ex_cursor",
    "ex_data_source",
    "ex_encrypt",
    "ex_extending",
    "ex_file_system",
    "ex_hello",
    "ex_log",
    "ex_pack",
    "ex_process",
    "ex_schema",
    "ex_stat",
    "ex_thread",
    ]

# WiredTiger Smoke Test support
# Runs each test in a custom temporary directory
def run_smoke_test(x):
    print("Running Smoke Test: " + x)

    # Make temp dir
    temp_dir = tempfile.mkdtemp(prefix="wt_home")

    try:
        # Set WT_HOME environment variable for test

=== debian/changelog ===
percona-server-mongodb (5.0.9-8) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.9

 -- root <root@e23764afc0ec>  Fri, 10 Jun 2022 08:10:58 +0000

=== debian/rules ===
#!/usr/bin/make -f
#
export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export NJOBS=$(shell grep -c processor /proc/cpuinfo)
export PSM_TARGETS=install-mongod install-mongos install-mongo install-perconadecrypt install-mongobridge
export PSMSRC=$(CURDIR)
export MONGOTOOLS=bsondump mongostat mongofiles mongoexport mongoimport mongorestore mongodump mongotop
export INSTALLDIR=/usr/local
export TOOLS_TAGS=ssl sasl
export PORTABLE=1
export USE_SSE=1
export PATH := /usr/local/go/bin:$(PATH)
CC = /usr/local/gcc-8.3.0/bin/gcc-8.3
CXX = /usr/local/gcc-8.3.0/bin/g++-8.3
#
%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(PSMSRC)/bin
	#rm -fr $(INSTALLDIR)
	buildscripts/scons.py CC=$(CC) CXX=$(CXX) -C $(PSMSRC) -c --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt -j$(NJOBS) --use-sasl-client CPPPATH=$(INSTALLDIR)/include \
	LIBPATH=$(INSTALLDIR)/lib LINKFLAGS="$(LINKFLAGS)" --wiredtiger --inmemory --hotbackup $(PSM_TARGETS) || exit $?
	rm -fr build resmoke.ini
	find $(PSMSRC) -name '*.pyc' -delete

# Finally PSfMDB
percona-server-mongodb:
	buildscripts/scons.py CC=${CC} CXX=${CXX} --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt=on -j$(NJOBS) \
	--use-sasl-client --wiredtiger --inmemory --hotbackup \
	CPPPATH=${INSTALLDIR}/include LIBPATH=${INSTALLDIR}/lib LINKFLAGS="${LINKFLAGS}" ${PSM_TARGETS} || exit $?

compile-mongo-tools:
	mkdir $(PSMSRC)/bin || true;
	mkdir -p $(PSMSRC)/../src/github.com/mongodb;
	cp -r $(PSMSRC)/mongo-tools $(PSMSRC)/../src/github.com/mongodb;
	export GOROOT="/usr/local/go/"; \
        export GOPATH=$(PSMSRC)/../; \
        export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
        export GOBINPATH="/usr/local/go/bin"
	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
        sed -i '12d' buildscript/build.go; \
        sed -i '167,176d' buildscript/build.go; \
        sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
        sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
        ./make build;
	cp -av $(PSMSRC)/../src/github.com/mongodb/mongo-tools/bin/* $(PSMSRC)/bin; \
        cd $(PSMSRC);

build: percona-server-mongodb compile-mongo-tools

override_dh_auto_install:
	dh_auto_install
	cp -av build/install/bin/mongos debian/percona-server-mongodb-mongos/usr/bin/mongos
	cp -av build/install/bin/mongo debian/percona-server-mongodb-shell/usr/bin/mongo
	cp -av build/install/bin/mongod debian/percona-server-mongodb-server/usr/bin/mongod
	cp -av build/install/bin/perconadecrypt debian/percona-server-mongodb-server/usr/bin
	cp -av build/install/bin/mongobridge debian/percona-server-mongodb-server/usr/bin/mongobridge
	cp -av debian/percona-server-mongodb-helper.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/percona-server-mongodb-enable-auth.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/mongod.conf debian/percona-server-mongodb-server/etc/mongod.conf
	cp -av $(PSMSRC)/bin/* debian/percona-server-mongodb-tools/usr/bin

override_dh_strip:
	dh_strip -a --dbg-package=percona-server-mongodb-dbg

override_dh_installinit:
	dh_installinit -a --name=mongod

override_dh_systemd_enable:
	dh_systemd_enable --name=mongod

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

## percona-server-mongodb 5.0.11

=== SConstruct ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 import atexit
 import copy
-import datetime
 import errno
 import json
 import os
@@ -31,6 +30,7 @@
 import mongo.toolchain as mongo_toolchain
 import mongo.generators as mongo_generators
 import mongo.install_actions as install_actions
+from mongo.build_profiles import BUILD_PROFILES
 
 EnsurePythonVersion(3, 6)
 EnsureSConsVersion(3, 1, 1)
@@ -105,9 +105,23 @@
 #   using the nargs='const' mechanism.
 #
 
-add_option('ninja',
+add_option(
+    'build-profile',
+    choices=list(BUILD_PROFILES.keys()),
+    default='default',
+    type='choice',
+    help='''Short hand for common build options. These profiles are well supported by SDP and are 
+    kept up to date. Unless you need something specific, it is recommended that you only build with 
+    these. san is the recommeneded profile since it exposes bugs before they are found in patch 
+    builds. Check out site_scons/mongo/build_profiles.py to see each profile.''',
+)
+
+build_profile = BUILD_PROFILES[get_option('build-profile')]
+
+add_option(
+    'ninja',
     choices=['enabled', 'disabled'],
-    default='disabled',
+    default=build_profile.ninja,
     nargs='?',
     const='enabled',
     type='choice',
@@ -264,7 +278,7 @@
 add_option('dbg',
     choices=['on', 'off'],
     const='on',
-    default='off',
+    default=build_profile.dbg,
     help='Enable runtime debugging checks',
     nargs='?',
     type='choice',
@@ -331,6 +345,7 @@
 add_option('sanitize',
     help='enable selected sanitizers',
     metavar='san1,san2,...sanN',
+    default=build_profile.sanitize,
 )
 
 add_option('sanitize-coverage',
@@ -340,7 +355,7 @@
 
 add_option('allocator',
     choices=["auto", "system", "tcmalloc", "tcmalloc-experimental"],
-    default="auto",
+    default=build_profile.allocator,
     help='allocator to use (use "auto" for best choice for current platform)',
     type='choice',
 )
@@ -466,26 +481,3 @@
     help='minimum OS X version to support',
 )
 
-# https://docs.microsoft.com/en-us/cpp/porting/modifying-winver-and-win32-winnt?view=vs-2017
-# https://docs.microsoft.com/en-us/windows-server/get-started/windows-server-release-info
-win_version_min_choices = {
-    'win10'    : ('0A00', '0000'),
-    'ws2016'   : ('0A00', '1607'),
-    'ws2019'   : ('0A00', '1809')
-}
-
-add_option('win-version-min',
-    choices=list(win_version_min_choices.keys()),
-    default=None,
-    help='minimum Windows version to support',
-    type='choice',
-)
-
-add_option('cache',
-    choices=["all", "nolinked"],
-    const='all',
-    help='Use an object cache rather than a per-build variant directory (experimental)',
-    nargs='?',
-)
-
-add_option('cache-dir',

=== debian/changelog ===
percona-server-mongodb (5.0.11-10) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.11

 -- root <root@a5cfea7b1a2c>  Mon, 29 Aug 2022 15:00:52 +0000

## percona-server-mongodb 5.0.19

=== debian/changelog ===
percona-server-mongodb (5.0.19-16) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.19

 -- root <root@fcb499ea1197>  Fri, 04 Aug 2023 07:12:05 +0000

=== debian/control ===
Source: percona-server-mongodb
Maintainer: Percona Development Team <opensource-dev@percona.com>
Section: database
Priority: extra
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev,  libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev, liblzma-dev


Package: percona-server-mongodb
Provides: mongodb-org, mongodb-enterprise
Architecture: any
Breaks: percona-server-mongodb (< 4.4.0), percona-server-mongodb-32, percona-server-mongodb-34, percona-server-mongodb-36, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-mongos (= ${source:Version}), percona-server-mongodb-shell (= ${source:Version}), percona-server-mongodb-server (= ${source:Version}), percona-server-mongodb-tools (= ${source:Version}), libsasl2-modules-gssapi-mit
Description: This metapackage will install the mongo shell, import/export tools, other client utilities, server software, default configuration, and init.d scripts.
 This package contains high-performance MongoDB replacement from Percona - Percona Server for MongoDB.
 Percona Server for MongoDB is built for scalability, performance and high availability, scaling from single server deployments to large, complex multi-site architectures.
 By leveraging in-memory computing, Percona Server for MongoDB provides high performance for both reads and writes.
 Percona Server for MongoDB's native replication and automated failover enable enterprise-grade reliability and operational flexibility.
 .
 Percona Server for MongoDB is an open-source database used by companies of all sizes, across all industries and for a wide variety of applications.
 It is an agile database that allows schemas to change quickly as applications evolve, while still providing the functionality developers expect from traditional databases,
 such as secondary indexes, a full query language and strict consistency.
 .
 Percona Server for MongoDB has a rich client ecosystem including hadoop integration, officially supported drivers for 10 programming languages and environments, as well as 40 drivers supported by the user community.
 .
 Percona Server for MongoDB features:
 * JSON Data Model with Dynamic Schemas
 * Auto-Sharding for Horizontal Scalability
 * Built-In Replication for High Availability
 * Rich Secondary Indexes, including geospatial
 * TTL indexes
 * Text Search
 * Aggregation Framework & Native MapReduce

Package: percona-server-mongodb-mongos
Provides: mongodb-org-mongos, mongodb-enterprise-mongos
Architecture: any
Breaks: percona-server-mongodb-mongos (< 4.4.0), percona-server-mongodb-32-mongos, percona-server-mongodb-34-mongos, percona-server-mongodb-36-mongos, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains mongos - the Percona Server for MongoDB sharded cluster query router
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-server
Provides: mongodb-org-server, mongodb-enterprise-server
Architecture: any
Breaks: percona-server-mongodb-server (< 4.4.0), percona-server-mongodb-32-server, percona-server-mongodb-34-server, percona-server-mongodb-36-server, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-shell
Description: This package contains the Percona Server for MongoDB server software, default configuration files and init.d scripts
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-shell
Provides: mongodb-org-shell, mongodb-enterprise-shell
Architecture: any
Breaks: percona-server-mongodb-shell (< 4.4.0), percona-server-mongodb-32-shell, percona-server-mongodb-34-shell, percona-server-mongodb-36-shell, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains the Percona Server for MongoDB shell
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-tools
Provides: mongodb-org-tools, mongodb-enterprise-tools
Architecture: any
Breaks: percona-server-mongodb-tools (< 4.4.0), percona-server-mongodb-32-tools, percona-server-mongodb-34-tools, percona-server-mongodb-36-tools, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mongo tools for high-performance MongoDB fork from Percona
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-dbg
Architecture: any
Breaks: percona-server-mongodb-dbg(< 4.4.0), percona-server-mongodb-32-dbg, percona-server-mongodb-34-dbg, percona-server-mongodb-36-dbg
Section: debug
Depends: percona-server-mongodb (= ${binary:Version}), ${misc:Depends}
Description: Debugging package for Percona Server for MongoDB
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
         export GOBINPATH="/usr/local/go/bin"
 	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
         sed -i '12d' buildscript/build.go; \
-        sed -i '167,176d' buildscript/build.go; \
+        sed -i '168,177d' buildscript/build.go; \
         sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
         sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
         ./make build;

## percona-server-mongodb 5.0.20

=== debian/changelog ===
percona-server-mongodb (5.0.20-17) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.20

 -- root <root@8295630baca8>  Mon, 04 Sep 2023 11:27:48 +0000

## percona-server-mongodb 5.0.21

=== debian/changelog ===
percona-server-mongodb (5.0.21-18) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.21

 -- root <root@1c6cea21de97>  Mon, 09 Oct 2023 20:35:33 +0000

## percona-server-mongodb 5.0.22

=== debian/changelog ===
percona-server-mongodb (5.0.22-19) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.22

 -- root <root@2b3f4f44db27>  Tue, 07 Nov 2023 10:13:56 +0000

## percona-server-mongodb 5.0.23

=== debian/changelog ===
percona-server-mongodb (5.0.23-20) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.23

 -- root <root@70c8e910de44>  Tue, 28 Nov 2023 15:52:08 +0000

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
 Provides: mongodb-org-server, mongodb-enterprise-server
 Architecture: any
 Breaks: percona-server-mongodb-server (< 4.4.0), percona-server-mongodb-32-server, percona-server-mongodb-34-server, percona-server-mongodb-36-server, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-nightly, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen, mongodb-database-tools
-Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-shell
+Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-shell, curl
 Description: This package contains the Percona Server for MongoDB server software, default configuration files and init.d scripts
  Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,8 @@
         export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
         export GOBINPATH="/usr/local/go/bin"
 	cd $(PSMSRC)/../src/github.com/mongodb/mongo-tools; \
-        sed -i '12d' buildscript/build.go; \
-        sed -i '168,177d' buildscript/build.go; \
+        sed -i '15d' buildscript/build.go; \
+        sed -i '200,209d' buildscript/build.go; \
         sed -i "s:versionStr,:\"$(PSMDB_TOOLS_REVISION)\",:" buildscript/build.go; \
         sed -i "s:gitCommit):\"$(PSMDB_TOOLS_COMMIT_HASH)\"):" buildscript/build.go; \
         ./make build;

## percona-server-mongodb 5.0.24

=== debian/changelog ===
percona-server-mongodb (5.0.24-21) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 5.0.24

 -- root <root@2f6f0cc3731c>  Thu, 25 Jan 2024 16:29:35 +0000

## percona-server-mongodb 5.0.26

=== debian/changelog ===
percona-server-mongodb (5.0.26-22) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 5.0.26

 -- root <root@8dfd7f0d21df>  Thu, 28 Mar 2024 13:45:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: database
 Priority: extra
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev,  libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev, liblzma-dev
+Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev, dh-systemd, libsasl2-dev, g++, cmake, libldap2-dev, libkrb5-dev, liblzma-dev
 
 
 Package: percona-server-mongodb

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 export PORTABLE=1
 export USE_SSE=1
 export PATH := /usr/local/go/bin:$(PATH)
-CC = /usr/local/gcc-8.3.0/bin/gcc-8.3
-CXX = /usr/local/gcc-8.3.0/bin/g++-8.3
+CC = /usr/bin/gcc-8
+CXX = /usr/bin/g++-8
 #
 %:
 	dh $@

## percona-server-mongodb 5.0.27

=== debian/changelog ===
percona-server-mongodb (5.0.27-23) unstable; urgency=medium

  [ Oleksandr Miroshnychenko ]
  * Updated to next upstream release.

  [ root ]
  * Update to new Percona Server for MongoDB version 5.0.27

 -- root <root@618e10206699>  Wed, 19 Jun 2024 13:21:41 +0000
